petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMRefineHierarchy

Refines a DM object, all levels at once

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMRefineHierarchy(DM dm,PetscInt nlevels,DM dmf[])

Collective on DM

### Input Parameter

| dm | - the DM object
| nlevels | - the number of levels of refinement

### Output Parameter

dmf -the refined DM hierarchy

### See Also

DMCoarsenHierarchy(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex48.c.html